Robotsystem from Robot Group Leipzig: CubicSpline Class Template Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CubicSpline Class Template Reference

`#include <cubic_spline.h>`

List of all members.

## Detailed Description

### template<typename T>
class lpzrobots::CubicSpline< T >

Definition at line 44 of file cubic_spline.h.

## Public Member Functions
| CubicSpline ()
void | create (const Matrix< T > &r_matrix)
Vector< T > | get_point (T parameter)
T | get_distant_point_parameter (T parameter, T distance)
## Protected Types
typedef std::vector< Matrix< T > > | MatrixSet
## Protected Attributes
MatrixSet | coefficient_matrix_set
Vector< T > | parameter_vector

## Member Typedef Documentation

typedef std::vector< Matrix<T> > MatrixSet`[protected]`

| Definition at line 46 of file cubic_spline.h.

## Constructor & Destructor Documentation

CubicSpline | ( |  | ) |

| Definition at line 66 of file cubic_spline.h.

## Member Function Documentation

void create | ( | const Matrix< T > & | r_matrix | ) |

| ) each component is processed individually .) calculate the delta_t s: delta_t[0] = t[2] - t[0] delta_t[i] = t[i + 1] - t[i] | i >= 1 .. n .) calculate the ks: k[i] = (f[i] - f[i - 1]) / delta_t result matrix: 4 x (n - 1) 0: a = f 1: b 2: c 3: d 4: t input : a matrix, first row must be the t parameters output: is stored internally, for each component a matrix consisting of a, b, c and d is created the t parameter is stored seperately Definition at line 96 of file cubic_spline.h.

T get_distant_point_parameter | ( | T | parameter,
|  | T | distance
| ) |

| Definition at line 219 of file cubic_spline.h.

Vector< T > get_point | ( | T | parameter | ) |

| Definition at line 187 of file cubic_spline.h.

## Member Data Documentation

MatrixSet coefficient_matrix_set`[protected]`

| Definition at line 49 of file cubic_spline.h.

Vector<T> parameter_vector`[protected]`

| Definition at line 50 of file cubic_spline.h.